// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 


// INCLUDE FILES
#include "BrowserView.h"
#include "AboutContainer.h"
#include "DetailContainer.h"
#include <aknviewappui.h>
#include <aknconsts.h>
#include <aknnotewrappers.h>
#include <SqlSrvDemo.rsg>
#include "SqlSrvDemo.hrh"
//#include <stringloader.h>

// ========================= MEMBER FUNCTIONS ==================================

// -----------------------------------------------------------------------------
// CBrowserView::Id()
// Returns View's ID.
// -----------------------------------------------------------------------------
//
TUid CBrowserView::Id() const
    {
    return iIdentifier;
    }

// -----------------------------------------------------------------------------
// CBrowserView::HandleCommandL()
// Takes care of Command handling.
// -----------------------------------------------------------------------------
//
void CBrowserView::HandleCommandL( TInt aCommand )
    {
    switch ( aCommand )
	    {
	    case EAknSoftkeyBack:
	    	AppUi()->ActivateLocalViewL( TUid::Uid( ESearchViewId ) );
	    	break;
	    	
	    default:
	    	AppUi()->HandleCommandL( aCommand );	
	    	break;
	    }
    }

// -----------------------------------------------------------------------------
// CBrowserView::HandleSizeChange()
// Called by HandleResourceChangeL() from CSqlSrvDemoAppUi when layout is 
// changed.
// -----------------------------------------------------------------------------
//
void CBrowserView::HandleSizeChange( TInt aType )
    {
    if( iContainer )
        {
        iContainer->HandleResourceChange( aType );
        
        if ( aType==KEikDynamicLayoutVariantSwitch )
            {        
            TRect rect;
            AknLayoutUtils::LayoutMetricsRect(AknLayoutUtils::EMainPane, rect);
            iContainer->SetRect(rect);
            }
        }         
    }


// -----------------------------------------------------------------------------
// CBrowserView::DynInitMenuPaneL()
// Dynamically initialises a menu pane
// -----------------------------------------------------------------------------
//
void CBrowserView::DynInitMenuPaneL( TInt /* aResourceId */, CEikMenuPane* /* aMenuPane */ )
	{
	// No implementation necessary
	}

// -----------------------------------------------------------------------------
// CBrowserView::DoActivateL()
// Activate a CBrowserView
// -----------------------------------------------------------------------------
//
void CBrowserView::DoActivateL( const TVwsViewId& /*aPrevViewId*/,
                                    TUid /*aCustomMessageId*/,
                                    const TDesC8& /*aCustomMessage*/ )
    {
   ConstructContainerL();
   AppUi()->AddToStackL( iContainer );    
    }

// -----------------------------------------------------------------------------
// CBrowserView::DoDeactivate()
// DeActivate a CBrowserView
// -----------------------------------------------------------------------------
//
void CBrowserView::DoDeactivate()
    {
    if ( iContainer )
        {
        AppUi()->RemoveFromStack( iContainer );
        delete iContainer;
        iContainer = NULL;
        }
    }
