// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 


// INCLUDE FILES
#include <aknviewappui.h>
#include <SqlSrvDemo.rsg>
#include "DetailView.h"
#include "DetailContainer.h"
#include "SqlSrvDemo.hrh"

// ========================= MEMBER FUNCTIONS ==================================

// -----------------------------------------------------------------------------
// CDetailView::CDetailView()
// C++ default constructor can NOT contain any code, that might leave.
// -----------------------------------------------------------------------------
//
CDetailView::CDetailView()
    {
    iIdentifier = TUid::Uid( EDetailViewId );
    }

// -----------------------------------------------------------------------------
// CDetailView::NewL()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CDetailView* CDetailView::NewL()
    {
    CDetailView* self = CDetailView::NewLC();
    CleanupStack::Pop( self );
    return self;
    }

// -----------------------------------------------------------------------------
// CDetailView::NewLC()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CDetailView* CDetailView::NewLC()
    {
    CDetailView* self = new ( ELeave ) CDetailView();
    CleanupStack::PushL( self );
    self->ConstructL();
    return self;
    }

// -----------------------------------------------------------------------------
// CDetailView::ConstructL()
// Symbian 2nd phase constructor can leave.
// -----------------------------------------------------------------------------
//
void CDetailView::ConstructL()
    {
    BaseConstructL( R_BROWSER_VIEW );
    }

// -----------------------------------------------------------------------------
// CDetailView::~CDetailView()
// Destructor.
// -----------------------------------------------------------------------------
//
CDetailView::~CDetailView()
    {
    // No implementation required
    }

void CDetailView::ConstructContainerL()
	{
	iContainer = CDetailContainer::NewL( ClientRect(), *this );
	}

// End of File
